Grants a role to a user.
1 min
POST
https://usermgmt-api.optimizely.com/api/users/{email}/grantPermission
Path Parameters
- emailstringrequiredDescription
Query Parameters
- includeExternalStatusbooleanDescription
Body Parameters
- bodygrantPermissionParamsrequiredDescription
- organizationIdstring
- instanceIdstring
- roleIdstring
- groupToRemovestring
Responses
200
- optiIdUser
- externalStatusstring
- idstring
- externalUserIdstring
- firstNamestring
- lastNamestring
- emailstring
- homeOrganizationIdstring
- userGroupIdsstring[]
- lastLoggedInstring<date-time>Formatdate-time
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- propertiesproperty[]
- namestring
- valuestring
- isLocalInSSOboolean
- isVirtualboolean
- linkslink[]
- relstring
- hrefstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
403
404
500
curl
curl --request POST \
--url https://usermgmt-api.optimizely.com/api/users/{email}/grantPermission \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/users/{email}/grantPermission", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/users/{email}/grantPermission")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/users/{email}/grantPermission"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The updated user response.
{
"externalStatus": "",
"id": "",
"externalUserId": "",
"firstName": "",
"lastName": "",
"email": "",
"homeOrganizationId": "",
"userGroupIds": [
""
],
"lastLoggedIn": "",
"created": "",
"modified": "",
"properties": [
{
"name": "",
"value": ""
}
],
"isLocalInSSO": false,
"isVirtual": false,
"links": [
{
"rel": "",
"href": ""
}
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
403
// Forbidden access to endpoint.
404
// The specified parameters either in the path or body resulted in no resources being found.
500
// A server error occurred, please try again.